Name:          polarssl
Version:       1.3.9
Release:       1mamba
Summary:       An SSL library with an intuitive API and readable source code
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://polarssl.org
Source:        https://polarssl.org/download/polarssl-%{version}-gpl.tgz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PolarSSL is an SSL library with an intuitive API and readable source code, so you can actually understand what the code does. Also the PolarSSL modules are as loosely coupled as possible and written in the portable C language. This allows you to use the parts you need, without having to include the total library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake -d build \
   -DUSE_SHARED_POLARSSL_LIBRARY=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

rm -f %{buildroot}%{_bindir}/{benchmark,md5sum,sha1sum}
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%doc LICENSE

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libpolarssl.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/polarssl
%{_includedir}/polarssl/*.h
%{_libdir}/libpolarssl.a
%{_libdir}/libpolarssl.so
#%{_libdir}/libpolarssl.a
%doc ChangeLog README.rst


%changelog
* Tue Nov 04 2014 Automatic Build System <autodist@mambasoft.it> 1.3.9-1mamba
- automatic version update by autodist

* Sat Jul 12 2014 Automatic Build System <autodist@mambasoft.it> 1.3.8-1mamba
- automatic update by autodist

* Thu May 29 2014 Automatic Build System <autodist@mambasoft.it> 1.3.7-1mamba
- automatic update by autodist

* Tue Mar 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.4-2mamba
- remove some binary files conflicting with coreutils and other packages

* Sat Mar 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.4-1mamba
- package created using the webbuild interface
